Bug 1434666 - "-numa" should not silently accept an invalid parameter ("size")
Summary: "-numa" should not silently accept an invalid parameter ("size")
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev   
(Show other bugs)
Version: 7.4
Hardware: All
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Eric Blake
QA Contact: Yumei Huang
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-22 04:20 UTC by Min Deng
Modified: 2017-08-02 03:39 UTC (History)
8 users (show)

Fixed In Version: qemu-kvm-rhev-2.9.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-02 03:39:56 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC

Description Min Deng 2017-03-22 04:20:08 UTC
Description of problem:
"-numa" silently should not accept an invalid parameter ("size")

Version-Release number of selected component (if applicable):
x86,
kernel-3.10.0-600.el7.x86_64
qemu-kvm-rhev-2.8.0-6.el7.x86_64
ppc64le,
kernel-3.10.0-600.el7.ppc64le
qemu-kvm-rhev-2.8.0-6.el7.ppc64le
SLOF-20160223-6.gitdbbfda4.el7.noarch

How reproducible:
Always,

Steps to Reproduce:
1.boot up guest with cli
  ... -m 4G -smp 4,maxcpus=8 -numa node,size=2G,cpus=0,cpus=2,cpus=4,cpus=6 -numa node,size=2G,cpus=1,cpus=3,cpus=5,cpus=7 ...
2.The guest could boot up successfully.

Actual results:
Invalid parameter "size="is accepted by qemu-kvm

Expected results:
The "size=" value should not be accepted by qemu-kvm at all

Additional info:
Please refer to one bug 1433193 for further investigation if necessary

Comment 2 Min Deng 2017-03-22 04:21:31 UTC
Both x86 and ppc64le has this issue from QE perspective,thanks a lot.

Comment 3 Eric Blake 2017-03-22 13:42:05 UTC
Upstream patch proposed:
https://lists.gnu.org/archive/html/qemu-devel/2017-03/msg04275.html

Regression introduced in upstream qemu 2.7 in the QemuOpts visitor

Comment 4 Eric Blake 2017-03-23 19:54:25 UTC
Merged upstream in time to land in v2.9.0-rc2:

0832970 qom: Fix regression with 'qom-type'
21f88d0 qapi: Fix QemuOpts visitor regression on unvisited input
9a6d1ac qom: Avoid unvisited 'id'/'qom-type' in user_creatable_add_opts
76861f6 tests: Expose regression in QemuOpts visitor

Comment 5 Yumei Huang 2017-04-24 09:06:39 UTC
Verify:
qemu-kvm-rhev-2.9.0-1.el7
kernel-3.10.0-655.el7.x86_64

Boot guest with size option for numa node,

# /usr/libexec/qemu-kvm -m 4G,slots=40,maxmem=40G \

-drive file=rhel74.qcow2,if=none,id=drive-virtio-disk0,format=qcow2,cache=none  -device virtio-blk-pci,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1 \

 -netdev tap,id=idinWyYp -device virtio-net-pci,mac=42:ce:a9:d2:4d:d7,id=idlbq7eA,netdev=idinWyYp \

-vnc :0 -monitor stdio \

-numa node,size=1G \

-numa node,size=3G


Guest failed to boot and print error message:

qemu-kvm: -numa node,size=1G: Invalid parameter 'size'


So the bug is fixed.

Comment 7 errata-xmlrpc 2017-08-02 03:39:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.